Katello - Bug #6466

hammer activation-key info returns information for a non-existing organization

07/02/2014 02:48 AM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: Hammer
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1109924 Red Hat JIRA:
Pull request: https://github.com/Katello/hammer-cli-kat
ello/pull/’201
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqgi?id=1109924

Description of problem:

hammer activation-key info returns information for a non-existing organization

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.17-1.el6sat.noarch
foreman-compute-1.6.0.17-1.el6sat.noarch
foreman-gce-1.6.0.17-1.el6sat.noarch
foreman-libvirt-1.6.0.17-1.el6sat.noarch
foreman-ovirt-1.6.0.17-1.el6sat.noarch
foreman-postgresql-1.6.0.17-1.el6sat.noarch
foreman-proxy-1.6.0.7-1.el6sat.noarch
foreman-selinux-1.6.0-4.el6sat.noarch
foreman-vmware-1.6.0.17-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.48-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch
pulp-selinux-2.4.0-0.20.beta.el6sat.noarch
pulp-server-2.4.0-0.20.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
How reproducible:

Steps to Reproduce:
1. Enter a valid activation-key id and a non-existing organization-id
https://bugzilla.redhat.com/show_bug.cgi?id=1109924

1. hammer activation-key info --id=1 --organization-id=125
Name: actkey1
ID: 1
Description:
Lifecycle Environment: DEV
Content View: cvi
Host Collections:

Actual results:
hammer returns information about a non-existing organization

Expected results:
hammer should validate all attributes before returning the output

Additional info:

Related issues:

Related to Katello - Bug #6775: Activation Key show needs to be able to searc...

Closed

07/24/2014

Associated revisions

Revision 74746544 - 07/24/2014 01:11 PM - dustin tsang
Fixes #6466 - AK info for nonexistent org id
this fixes an issue when the users passes --organiztion_id in addition

to the --id. The org argument will be accepted and passed to the api if
it is present.

Revision 4a718764 - 07/24/2014 07:31 PM - dustin tsang

Merge pull request #201 from dustint-rh/other_opts_rejected_when_id_present

Fixes #6466 - AK info for nonexistent org id

History

#1 - 07/02/2014 02:59 AM - dustin tsang

https://github.com/Katello/hammer-cli-katello/pull/201

#2 - 07/07/2014 01:23 PM - Eric Helms
- Category set to Hammer

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 07/22/2014 08:09 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/hammer-cli-katello/pull/201 added

#4 - 07/24/2014 01:01 PM - dustin tsang

- Related to Bug #6775: Activation Key show needs to be able to search by id and organization if organization is given added

#5 - 07/24/2014 08:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|747465443da539f52520d3be65356b8d6571a06b.

#6 - 08/22/2014 09:00 AM - Eric Helms

- translation missing: en.field_release set to 13
https://github.com/Katello/hammer-cli-katello/pull/201
https://projects.theforeman.org/projects/katello/repository/hammer-cli-katello/revisions/747465443da539f52520d3be65356b8d6571a06b
http://www.tcpdf.org

